package com.mosty.base.manager.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.entity.jcgl.TbJcglKhtj;
import com.mosty.base.model.query.jcgl.TbJcglKhtjQuery;
import com.mosty.base.model.query.jcgl.TbJcglKhtjStatisticsQuery;
import com.mosty.base.model.vo.jcgl.TbJcglKhtjVo;

import java.util.List;
import java.util.Map;

public interface TbJcglKhtjService {

    // 统计某一天的数据
    void builder(String time);

    // 条件查询列表信息
    IPage<TbJcglKhtjVo> getPageList(TbJcglKhtjQuery dto);

    // 统计数据
    Map<String,Object> getStatistics(TbJcglKhtjStatisticsQuery dto);

    List<TbJcglKhtj> getList(TbJcglKhtjQuery dto);

    List<TbJcglKhtjVo> getFxbm(TbJcglKhtjQuery dto);


}
